petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerView

Visualizes a viewer object.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerView(PetscViewer v,PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameters

| v | - the viewer Many br
| viewer | - visualization context Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br
| PETSC_VIEWER_DRAW_WORLD | - graphical display of nonzero structure Many br

Many br

### See Also

PetscViewerPushFormat(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(),
PetscViewerSocketOpen(), PetscViewerBinaryOpen(), PetscViewerLoad() Many br

Level:beginner
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex2.c.html